SwiftPackageManagerExportPlugin (Gradle API 8.11.1)

Package org.gradle.swiftpm.plugins

## Class SwiftPackageManagerExportPlugin

- java.lang.Object
- - org.gradle.swiftpm.plugins.SwiftPackageManagerExportPlugin

- All Implemented Interfaces:
    `Plugin<Project>`

      public abstract class SwiftPackageManagerExportPlugin
      extends java.lang.Object
      implements Plugin<Project>

  A plugin that produces a Swift Package Manager manifests from the Gradle model.

  This plugin should only be applied to the root project of a build.

  Since:
    4.6

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SwiftPackageManagerExportPlugin​(org.gradle.vcs.internal.VcsResolver vcsResolver, org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionSelectorScheme versionSelectorScheme, org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectDependencyPublicationResolver publicationResolver, org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionParser versionParser)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(Project project)` | Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SwiftPackageManagerExportPlugin

          @Inject
          public SwiftPackageManagerExportPlugin​(org.gradle.vcs.internal.VcsResolver vcsResolver,
                                                 org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionSelectorScheme versionSelectorScheme,
                                                 org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectDependencyPublicationResolver publicationResolver,
                                                 org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionParser versionParser)

  - ### Method Detail

    - #### apply

          public void apply​(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object